%define version 4.3.10
%define rversion 1.0.3

%define realname SQLite
%define modname sqlite
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A22_%{modname}.ini

Summary:	%{realname} database bindings for PHP4
Name:		php-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 5
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/SQLite
Source0:	SQLite-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
Requires:	php432
Requires:	php-cli
BuildRequires:	sqlite-devel
BuildRequires:	pkgconfig
BuildRequires:	php432-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
%{realname} is a C library that implements an embeddable SQL database
engine. Programs that link with the %{realname} library can have SQL
database access without running a separate RDBMS process. This
extension allows you to access SQLite databases from within PHP.
   
%prep

%setup -q -n %{realname}-%{rversion}

%build

#phpize
#%%configure2_5x --enable-%{modname}=shared,%{_prefix}
#%%make
#mv modules/*.so .

%{_usrsrc}/php-devel/buildext %{modname} \
    "sqlite.c libsqlite/src/encode.c" \
    "`pkg-config sqlite --libs`" "-DCOMPILE_DL_SQLITE \
    -DHAVE_SQLITELIB \
    -DSQLITE_ENCODING=\"UTF-8\" \
    -DSQLITE_VERSION=\"`pkg-config sqlite --modversion`\""

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc tests CREDITS README* TODO sqlite.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.3-5mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.3-4mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.3-3mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.3-2mdk
- use pkg-config to figure out version of sqlite

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.3-1mdk
- rebuild for php 4.3.10

* Fri Oct 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.9_1.0.3-1mdk
- rebuild for php 4.3.9

* Fri Aug 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0.3-1mdk
- 1.0.3

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.0.2-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.2-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.2-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0.2-2mdk
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.0.2-1mdk
- 1.0.2
- fix url
- built for php 4.3.6

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.0-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.0-1mdk
- built for php 4.3.3
- misc spec file fixes

* Sun Aug 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.0-1mdk
- initial cooker contrib
